# Makefile.in generated by automake 1.7.6 from Makefile.am.
# examples/cppunittest/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/cppunit
pkglibdir = $(libdir)/cppunit
pkgincludedir = $(includedir)/cppunit
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o root -g wheel
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i386-unknown-gnu
ACLOCAL = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run autoconf
AUTOHEADER = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run autoheader
AUTOMAKE = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run automake-1.7
AWK = gawk
CC = cc
CCDEPMODE = depmode=gcc3
CFLAGS = -fno-common
CPP = cc -E
CPPFLAGS = 
CPPUNIT_BINARY_AGE = 0
CPPUNIT_INTERFACE_AGE = 0
CPPUNIT_MAJOR_VERSION = 1
CPPUNIT_MICRO_VERSION = 2
CPPUNIT_MINOR_VERSION = 10
CPPUNIT_VERSION = 1.10.2
CXX = c++
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-common
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOC_FALSE = 
DOC_TRUE = #
DOT = 
DOXYGEN = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = g77
FFLAGS = 
INSTALL_DATA = install  -o root -g wheel -m 444
INSTALL_PROGRAM = install  -s -o root -g wheel -m 555
INSTALL_SCRIPT = install  -o root -g wheel -m 555
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBADD_DL = -ldl
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) /usr/local/bin/libtool
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 2
LT_RELEASE = 1.10
LT_REVISION = 0
MAKEINFO = ${SHELL} /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/missing --run makeinfo
OBJEXT = 
PACKAGE = cppunit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.10.2
ac_ct_AR = ar
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = g77
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i386-unknown-gnu
build_alias = i386-unknown-gnu
build_cpu = i386
build_os = gnu
build_vendor = unknown
datadir = ${prefix}/share
enable_dot = no
enable_html_docs = yes
enable_latex_docs = no
exec_prefix = ${prefix}
host = i386-unknown-gnu
host_alias = i386-unknown-gnu
host_cpu = i386
host_os = gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /mnt/gmirror/ports/devel/cppunit/work/cppunit-1.10.2/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = 
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = i386-unknown-gnu
EXTRA_DIST = CppUnitTestMain.dsw CppUnitTestMain.dsp CppUnitTestPlugIn.dsp CppUnitTestPlugIn.cpp

TESTS = cppunittestmain
check_PROGRAMS = $(TESTS)

INCLUDES = -I$(top_builddir)/include -I$(top_srcdir)/include

cppunittestmain_SOURCES = \
	BaseTestCase.cpp \
	BaseTestCase.h \
	CoreSuite.h \
	CppUnitTestMain.cpp \
	CppUnitTestSuite.cpp \
	ExceptionTest.cpp \
	ExceptionTest.h \
  ExceptionTestCaseDecoratorTest.h \
  ExceptionTestCaseDecoratorTest.cpp \
	ExtensionSuite.h \
	FailureException.h \
	HelperMacrosTest.cpp \
	HelperMacrosTest.h \
	HelperSuite.h \
	MessageTest.h \
	MessageTest.cpp \
  MockFunctor.h \
  MockProtector.h \
	MockTestCase.h \
	MockTestCase.cpp \
	MockTestListener.cpp \
	MockTestListener.h \
	OrthodoxTest.cpp \
	OrthodoxTest.h \
	OutputSuite.h \
	RepeatedTestTest.cpp \
	RepeatedTestTest.h \
  StringToolsTest.h \
  StringToolsTest.cpp \
	SubclassedTestCase.cpp \
	SubclassedTestCase.h \
	SynchronizedTestResult.h \
	TestAssertTest.cpp \
	TestAssertTest.h \
	TestCallerTest.cpp \
	TestCallerTest.h \
	TestCaseTest.cpp \
	TestCaseTest.h \
	TestDecoratorTest.cpp \
	TestDecoratorTest.h \
	TestFailureTest.cpp \
	TestFailureTest.h \
	TestPathTest.h \
	TestPathTest.cpp \
	TestResultCollectorTest.cpp \
	TestResultCollectorTest.h \
	TestResultTest.cpp \
	TestResultTest.h \
	TestSetUpTest.cpp \
	TestSetUpTest.h \
	TestSuiteTest.cpp \
	TestSuiteTest.h \
	TestTest.cpp \
	TestTest.h \
  ToolsSuite.h \
	TrackedTestCase.cpp \
	TrackedTestCase.h \
	UnitTestToolSuite.h \
	XmlElementTest.h \
	XmlElementTest.cpp \
	XmlOutputterTest.h \
	XmlOutputterTest.cpp \
	XmlUniformiser.h \
	XmlUniformiser.cpp \
	XmlUniformiserTest.h \
	XmlUniformiserTest.cpp


cppunittestmain_LDADD = \
  $(top_builddir)/src/cppunit/libcppunit.la 


cppunittestmain_LDFLAGS = $(LIBADD_DL)
subdir = examples/cppunittest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config/config.h
CONFIG_CLEAN_FILES =
check_PROGRAMS = cppunittestmain$(EXEEXT)
am_cppunittestmain_OBJECTS = BaseTestCase.$(OBJEXT) \
	CppUnitTestMain.$(OBJEXT) CppUnitTestSuite.$(OBJEXT) \
	ExceptionTest.$(OBJEXT) \
	ExceptionTestCaseDecoratorTest.$(OBJEXT) \
	HelperMacrosTest.$(OBJEXT) MessageTest.$(OBJEXT) \
	MockTestCase.$(OBJEXT) MockTestListener.$(OBJEXT) \
	OrthodoxTest.$(OBJEXT) RepeatedTestTest.$(OBJEXT) \
	StringToolsTest.$(OBJEXT) SubclassedTestCase.$(OBJEXT) \
	TestAssertTest.$(OBJEXT) TestCallerTest.$(OBJEXT) \
	TestCaseTest.$(OBJEXT) TestDecoratorTest.$(OBJEXT) \
	TestFailureTest.$(OBJEXT) TestPathTest.$(OBJEXT) \
	TestResultCollectorTest.$(OBJEXT) TestResultTest.$(OBJEXT) \
	TestSetUpTest.$(OBJEXT) TestSuiteTest.$(OBJEXT) \
	TestTest.$(OBJEXT) TrackedTestCase.$(OBJEXT) \
	XmlElementTest.$(OBJEXT) XmlOutputterTest.$(OBJEXT) \
	XmlUniformiser.$(OBJEXT) XmlUniformiserTest.$(OBJEXT)
cppunittestmain_OBJECTS = $(am_cppunittestmain_OBJECTS)
cppunittestmain_DEPENDENCIES = $(top_builddir)/src/cppunit/libcppunit.la

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)/config
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/BaseTestCase.Po \
	./$(DEPDIR)/CppUnitTestMain.Po \
	./$(DEPDIR)/CppUnitTestSuite.Po \
	./$(DEPDIR)/ExceptionTest.Po \
	./$(DEPDIR)/ExceptionTestCaseDecoratorTest.Po \
	./$(DEPDIR)/HelperMacrosTest.Po \
	./$(DEPDIR)/MessageTest.Po \
	./$(DEPDIR)/MockTestCase.Po \
	./$(DEPDIR)/MockTestListener.Po \
	./$(DEPDIR)/OrthodoxTest.Po \
	./$(DEPDIR)/RepeatedTestTest.Po \
	./$(DEPDIR)/StringToolsTest.Po \
	./$(DEPDIR)/SubclassedTestCase.Po \
	./$(DEPDIR)/TestAssertTest.Po \
	./$(DEPDIR)/TestCallerTest.Po \
	./$(DEPDIR)/TestCaseTest.Po \
	./$(DEPDIR)/TestDecoratorTest.Po \
	./$(DEPDIR)/TestFailureTest.Po \
	./$(DEPDIR)/TestPathTest.Po \
	./$(DEPDIR)/TestResultCollectorTest.Po \
	./$(DEPDIR)/TestResultTest.Po \
	./$(DEPDIR)/TestSetUpTest.Po \
	./$(DEPDIR)/TestSuiteTest.Po \
	./$(DEPDIR)/TestTest.Po \
	./$(DEPDIR)/TrackedTestCase.Po \
	./$(DEPDIR)/XmlElementTest.Po \
	./$(DEPDIR)/XmlOutputterTest.Po \
	./$(DEPDIR)/XmlUniformiser.Po \
	./$(DEPDIR)/XmlUniformiserTest.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(cppunittestmain_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(cppunittestmain_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  examples/cppunittest/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
cppunittestmain$(EXEEXT): $(cppunittestmain_OBJECTS) $(cppunittestmain_DEPENDENCIES) 
	@rm -f cppunittestmain$(EXEEXT)
	$(CXXLINK) $(cppunittestmain_LDFLAGS) $(cppunittestmain_OBJECTS) $(cppunittestmain_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/BaseTestCase.Po
include ./$(DEPDIR)/CppUnitTestMain.Po
include ./$(DEPDIR)/CppUnitTestSuite.Po
include ./$(DEPDIR)/ExceptionTest.Po
include ./$(DEPDIR)/ExceptionTestCaseDecoratorTest.Po
include ./$(DEPDIR)/HelperMacrosTest.Po
include ./$(DEPDIR)/MessageTest.Po
include ./$(DEPDIR)/MockTestCase.Po
include ./$(DEPDIR)/MockTestListener.Po
include ./$(DEPDIR)/OrthodoxTest.Po
include ./$(DEPDIR)/RepeatedTestTest.Po
include ./$(DEPDIR)/StringToolsTest.Po
include ./$(DEPDIR)/SubclassedTestCase.Po
include ./$(DEPDIR)/TestAssertTest.Po
include ./$(DEPDIR)/TestCallerTest.Po
include ./$(DEPDIR)/TestCaseTest.Po
include ./$(DEPDIR)/TestDecoratorTest.Po
include ./$(DEPDIR)/TestFailureTest.Po
include ./$(DEPDIR)/TestPathTest.Po
include ./$(DEPDIR)/TestResultCollectorTest.Po
include ./$(DEPDIR)/TestResultTest.Po
include ./$(DEPDIR)/TestSetUpTest.Po
include ./$(DEPDIR)/TestSuiteTest.Po
include ./$(DEPDIR)/TestTest.Po
include ./$(DEPDIR)/TrackedTestCase.Po
include ./$(DEPDIR)/XmlElementTest.Po
include ./$(DEPDIR)/XmlOutputterTest.Po
include ./$(DEPDIR)/XmlUniformiser.Po
include ./$(DEPDIR)/XmlUniformiserTest.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile

installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkPROGRAMS clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-checkPROGRAMS clean-generic clean-libtool ctags distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:


syntax highlighted by Code2HTML, v. 0.9.1